Bug 55646 - Update Agent always thinks kernel-2.4.9-12 need to be installed
Summary: Update Agent always thinks kernel-2.4.9-12 need to be installed
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.1
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-03 23:40 UTC by Robert Nichols
Modified: 2015-01-07 23:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-05 06:58:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:119 normal SHIPPED_LIVE New up2date and rhn_register clients available 2001-10-03 04:00:00 UTC

Description Robert Nichols 2001-11-03 23:40:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-6 i586; Nav)

Description of problem:
Even after Update Agent has just installed kernel-2.4.9-12, if I run
up2date again it still reports that I need to upgrade to kernel-2.4.9-12. 
If I run "rpm -q kernel" it correctly reports that I have kernel-2.4.2-2,
kernel-2.4.9-6, and kernel-2.4.9-12 installed.
If I allow up2date to install the kernel again, "rpm -q kernel" now reports
that I have kernel-2.4.9-12 installed _twice_.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run up2date (configured for automatic installation) when current kernel
version < 2.4.9-12
2.Run up2date again.
3.
	

Additional info:

Running up2date-2.5.4-1.i386
kernel-source-2.4.9-12 not installed

Comment 1 Robert Nichols 2001-11-04 00:07:07 UTC
Problem persists even when I am booted and running on kernel-2.4.9-12.


Comment 2 Adrian Likins 2001-11-05 20:12:54 UTC
I think I see what is causing this problem. 

There should be a fix in the next release of the client.

Comment 3 Curtis Doty 2001-12-05 06:58:20 UTC
Problem went away on at least one my my boxes running i586 kernel. Yipee.

../C

Comment 4 David M. Cook 2002-02-22 17:24:27 UTC
Fixed in http://www.redhat.com/support/errata/RHBA-2001-119.html


Note You need to log in before you can comment on or make changes to this bug.